Package csb :: Package bio :: Package fragments :: Class Assignment

[frames] | no frames]

# Class Assignment

source code

       object --+
                |
    FragmentMatch --+
                    |
                   Assignment

Known Subclasses:
  - ChemShiftAssignment

Represents a match between a fragment and its target.

Instance Methods

__init__(self, source, start, end, qstart, qend, id=None, probability=None, rmsd=None, tm_score=None, score=None, neff=None, internal_id=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

bool

anchored_around(self, rank) Returns: True if the fragment is centered around position=`rank` | source code

list

backbone_at(self, qstart, qend) Returns: the CA coordinates of the fragment at the specified subregion. | source code

float

mda_to(self, other, min_overlap=5) Returns: the MDA (maximum deviation in torsion angles) between `self` and `other`. | source code

float

nrmsd_to(self, other, min_overlap=5) Returns: the normalized CA RMSD between `self` and `other`. | source code

set of int

overlap(self, other) Returns: target positions, covered by both `self` and `other` | source code

float

rmsd_to(self, other, min_overlap=5) Returns: the CA RMSD between `self` and `other`. | source code

list

sec_structure_at(self, qstart, qend) Returns: secondary structure of the fragment at the specified subregion | source code

list

torsion_at(self, qstart, qend) Returns: torsion angles of the fragment at the specified subregion | source code

transform(self, rotation, translation) Apply rotation/translation to fragment's coordinates in place | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

Assignment

from_fragment(fragment, provider) Create a new Assignment given a source rosetta fragment. | source code

Properties
| backbone
| end
| neff
| score
| secondary_structure
| sequence
| source_id
| start
| torsion
Inherited from `FragmentMatch`: `id`, `length`, `probability`, `qend`, `qlength`, `qstart`, `rmsd`, `tm_score` Inherited from `object`: `__class__`

Method Details

### __init__(self, source, start, end, qstart, qend, id=None, probability=None, rmsd=None, tm_score=None, score=None, neff=None, internal_id=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `source` (csb.bio.structure.Chain) - source structure (must have torsion angles precomputed)
  - `start` (int) - start position in `source` (rank)
  - `end` (int) - end position in `source` (rank)
  - `id` (str) - fragment ID
  - `qstart` (int) - start position in target (rank)
  - `qend` (int) - end position in target (rank)
  - `probability` (float) - probability of assignment
  - `rmsd` (float) - RMSD of the fragment, compared to target's native structure
Overrides: object.__init__
  (inherited documentation)

### anchored_around(self, rank)

source code

Returns: bool
  True if the fragment is centered around position=`rank`

### backbone_at(self, qstart, qend)

source code

Returns: list
  the CA coordinates of the fragment at the specified subregion.

### from_fragment(fragment, provider)
Static Method

source code

Create a new Assignment given a source rosetta fragment.

Parameters:
  - `fragment` (RosettaFragment) - rosetta fragment
  - `provider` (StructureProvider) - PDB database provider
Returns: Assignment

### mda_to(self, other, min_overlap=5)

source code

Parameters:
  - `other` (Assignment) - another fragment
  - `min_overlap` (int) - require at least that number of overlapping residues (return None if not satisfied)
Returns: float
  the MDA (maximum deviation in torsion angles) between `self` and `other`.

### nrmsd_to(self, other, min_overlap=5)

source code

Parameters:
  - `other` (Assignment) - another fragment
  - `min_overlap` (int) - require at least that number of overlapping residues (return None if not satisfied)
Returns: float
  the normalized CA RMSD between `self` and `other`.

### overlap(self, other)

source code

Parameters:
  - `other` (Assignment)
Returns: set of int
  target positions, covered by both `self` and `other`

### rmsd_to(self, other, min_overlap=5)

source code

Parameters:
  - `other` (Assignment) - another fragment
  - `min_overlap` (int) - require at least that number of overlapping residues (return None if not satisfied)
Returns: float
  the CA RMSD between `self` and `other`.

### sec_structure_at(self, qstart, qend)

source code

Returns: list
  secondary structure of the fragment at the specified subregion

### torsion_at(self, qstart, qend)

source code

Returns: list
  torsion angles of the fragment at the specified subregion

Property Details

### backbone

Get Method:
  unreachable.backbone(self)

### end

Get Method:
  unreachable.end(self)

### neff

Get Method:
  unreachable.neff(self)

### score

Get Method:
  unreachable.score(self)

### secondary_structure

Get Method:
  unreachable.secondary_structure(self)
Set Method:
  unreachable.secondary_structure(self, value)

### sequence

Get Method:
  unreachable.sequence(self)

### source_id

Get Method:
  unreachable.source_id(self)

### start

Get Method:
  unreachable.start(self)

### torsion

Get Method:
  unreachable.torsion(self)